List widgets
curl --request GET \
--url https://app.azalt.co/api/v1/widgetsimport requests
url = "https://app.azalt.co/api/v1/widgets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.azalt.co/api/v1/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"dashboardId": "<string>",
"reportSectionId": "<string>",
"relatedModelType": "<string>",
"relatedModelId": "<string>",
"name": "<string>",
"indicatorId": "<string>",
"indicatorName": "<string>",
"indicatorLabel": "<string>",
"x": 123,
"y": 123,
"w": 123,
"h": 123,
"settings": {},
"filter": {
"siteIds": [
"<string>"
],
"startYear": 123,
"endYear": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": []
}
}
]{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Widget
List widgets
Return widget configurations by providing either dashboardId or reportSectionId as query parameters.
GET
/
widgets
List widgets
Response
Successful response
Available options:
line_chart, bar_chart, pie_chart, value, table, periodic_values, text Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

